﻿@{
    ViewData["Title"] = Texts.Forms.Membership.ForgotPassword.FormTitle;
    ViewData["PageId"] = "ForgotPassword";
    ViewData["BodyClass"] = "login-page";
    Layout = MVC.Views.Shared._LayoutNoNavigation;
}

<script id="Template_Membership_ForgotPasswordPanel" type="text/template">
    <div class="s-Form">
        <form id="~_Form" action="">            
            <div id="~_PropertyGrid"></div>
            <div class="row">
                <div class="col-xs-9 col-xs-offset-3">
                    <button id="~_SubmitButton" type="submit" class="btn btn-primary btn-block btn-flat">@Texts.Forms.Membership.ForgotPassword.SubmitButton</button>
                </div>
            </div>
        </form>
    </div>    
</script>

<div class="login-box">
    <div class="login-logo">
        <b>@Texts.Navigation.SiteTitle</b>
    </div>
    <div class="login-box-body">
        <h3 class="page-title">@Texts.Forms.Membership.ForgotPassword.FormTitle</h3>
        <p class="login-box-msg">@Texts.Forms.Membership.ForgotPassword.FormInfo</p>
        <div id="ForgotPasswordPanel">
        </div>  
        <a href="@Url.Content("~/Account/Login")" class="text-center">@Texts.Forms.Membership.ForgotPassword.BackToLogin</a>
    </div>
</div>

<script type="text/javascript">
$(function() {
    new MIS.Membership.ForgotPasswordPanel($('#ForgotPasswordPanel')).init();
    $('.field.Email').addClass("has-icon");
    $('.emaildomain').after("<span class='glyphicon glyphicon-envelope form-control-feedback'></span>");
});
</script>